# xslt:key

Function signature

$key-name | xs:string
$key-value | xdt:anyAtomicType *
Result | node() *

Returns the nodes identified by a named key declaration in the stylesheet.

XSLT 2.0 Specification

Function signature

$key-name | xs:string
$key-value | xdt:anyAtomicType *
$document | node()
Result | node() *

Returns the nodes identified by a named key declaration in the stylesheet.

XSLT 2.0 Specification

Note:The three-argument version of the key() function is implemented in Saxon 8.1.

Expand | Up Next